<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <!-- Spring IO Platform is the parent of the generated application to be able to
    use Spring Boot and all its default configuration -->
  <parent>
    <groupId>io.spring.platform</groupId>
    <artifactId>platform-bom</artifactId>
    <version>Athens-RELEASE</version>
    <relativePath/>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.gendra</groupId>
  <artifactId>pruebaJavaGendra</artifactId>
  <version>1.0.0.BUILD-SNAPSHOT</version>
  <name>pruebaJavaGendra</name>

  <packaging>war</packaging>

  <properties>
    <roo.version>2.0.0.RELEASE</roo.version>
    <java.product.version>8</java.product.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <aspectj.plugin.version>1.8</aspectj.plugin.version>
    <asciidoclet.version>1.5.4</asciidoclet.version>
    <spring-boot.version>1.4.1.RELEASE</spring-boot.version>
  <java.version>1.8</java.version>
    <springlets.version>1.2.0.RELEASE</springlets.version>
    <tracee.version>1.1.2</tracee.version>
    <thymeleaf.version>3.0.0.RELEASE</thymeleaf.version>
    <thymeleaf-layout-dialect.version>2.0.0</thymeleaf-layout-dialect.version>
    <thymeleaf-data-dialect.version>2.0.1</thymeleaf-data-dialect.version>
    <dynamicjasper.version>5.0.11</dynamicjasper.version>
    <dynamicjasper-fonts.version>1.0</dynamicjasper-fonts.version>
    <bootstrap.version>3.3.6</bootstrap.version>
    <datatables.version>1.10.12</datatables.version>
    <datatables-bs.version>1.10.11</datatables-bs.version>
    <datatables-buttons.version>1.1.2</datatables-buttons.version>
    <datatables-buttons-bs.version>1.1.2</datatables-buttons-bs.version>
    <datatables-responsive.version>2.0.2</datatables-responsive.version>
    <datatables-responsive-bs.version>2.0.2</datatables-responsive-bs.version>
    <datatables-select.version>1.1.2</datatables-select.version>
    <datatables-select-bs.version>1.1.2</datatables-select-bs.version>
    <datatables-checkboxes.version>1.1.2</datatables-checkboxes.version>
    <datatables-mark.version>2.0.0</datatables-mark.version>
    <datetimepicker.version>2.5.4</datetimepicker.version>
    <fontawesome.version>4.6.2</fontawesome.version>
    <jquery.version>1.12.3</jquery.version>
    <jquery-inputmask.version>3.3.1</jquery-inputmask.version>
    <jquery-validation.version>1.15.0</jquery-validation.version>
    <momentjs.version>2.13.0</momentjs.version>
    <select2.version>4.0.3</select2.version>
    <select2-bootstrap-theme.version>0.1.0-beta.7</select2-bootstrap-theme.version>
    <respond.version>1.4.2</respond.version>
    <html5shiv.version>3.7.3</html5shiv.version>
    <bootstrap.ie10-viewport-bug-workaround.version>1.0.3</bootstrap.ie10-viewport-bug-workaround.version>
    </properties>

  <repositories>
    <!-- Maven Snapshots Repository -->
    <repository>
      <id>maven-snapshot-repository</id>
      <name>Maven Snapshot Repository</name>
      <url>https://oss.sonatype.org/content/repositories/snapshots</url>
        <releases>
          <enabled>false</enabled>
        </releases>
        <snapshots>
          <enabled>true</enabled>
        </snapshots>
    </repository>
    <!-- Spring Roo repository -->
     <repository>
			<id>spring-milestone</id>
			<name>Spring Milestone Repository</name>
			<url>https://repo.spring.io/milestone</url>
		</repository>
  </repositories>

  <dependencyManagement>
    <dependencies>

      <!-- Spring Roo annotations -->
<!--       <dependency> -->
<!--         <groupId>org.springframework.roo</groupId> -->
<!--         <artifactId>org.springframework.roo.annotations</artifactId> -->
<!--         <version>${roo.version}</version> -->
<!--         <type>pom</type> -->
<!--         <scope>provided</scope> -->
<!--       </dependency> -->

    <dependency>
                <groupId>io.springlets</groupId>
                <artifactId>springlets-data-jpa</artifactId>
                <version>${springlets.version}</version>
            </dependency>
        <dependency>
                <groupId>io.springlets</groupId>
                <artifactId>springlets-data-commons</artifactId>
                <version>${springlets.version}</version>
            </dependency>
        <dependency>
                <groupId>io.springlets</groupId>
                <artifactId>springlets-context</artifactId>
                <version>${springlets.version}</version>
            </dependency>
        <dependency>
                <groupId>org.springframework.roo</groupId>
                <artifactId>org.springframework.roo.querydsl.processor</artifactId>
                <version>2.0.0.RELEASE</version>
            </dependency>
        <dependency>
                <groupId>io.tracee.binding</groupId>
                <artifactId>tracee-springmvc</artifactId>
                <version>${tracee.version}</version>
            </dependency>
        <dependency>
                <groupId>io.springlets</groupId>
                <artifactId>springlets-boot-starter-web</artifactId>
                <version>${springlets.version}</version>
            </dependency>
        <dependency>
                <groupId>com.github.mxab.thymeleaf.extras</groupId>
                <artifactId>thymeleaf-extras-data-attribute</artifactId>
                <version>${thymeleaf-data-dialect.version}</version>
            </dependency>
        <dependency>
                <groupId>ar.com.fdvs</groupId>
                <artifactId>DynamicJasper</artifactId>
                <version>${dynamicjasper.version}</version>
            </dependency>
        <dependency>
                <groupId>ar.com.fdvs</groupId>
                <artifactId>DynamicJasper-core-fonts</artifactId>
                <version>${dynamicjasper-fonts.version}</version>
            </dependency>
        <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>bootstrap</artifactId>
                <version>${bootstrap.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables</artifactId>
                <version>${datatables.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables.net-bs</artifactId>
                <version>${datatables-bs.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables.net-buttons</artifactId>
                <version>${datatables-buttons.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables.net-buttons-bs</artifactId>
                <version>${datatables-buttons-bs.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables.net-responsive</artifactId>
                <version>${datatables-responsive.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables.net-responsive-bs</artifactId>
                <version>${datatables-responsive-bs.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables.net-select</artifactId>
                <version>${datatables-select.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datatables.net-select-bs</artifactId>
                <version>${datatables-select-bs.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.npm</groupId>
                <artifactId>jquery-datatables-checkboxes</artifactId>
                <version>${datatables-checkboxes.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.webjars.npm</groupId>
                        <artifactId>jquery</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>org.webjars.npm</groupId>
                        <artifactId>datatables.net</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>github-com-julmot-datatables-mark-js</artifactId>
                <version>${datatables-mark.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>datetimepicker</artifactId>
                <version>${datetimepicker.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>font-awesome</artifactId>
                <version>${fontawesome.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>jquery</artifactId>
                <version>${jquery.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars</groupId>
                <artifactId>jquery.inputmask</artifactId>
                <version>${jquery-inputmask.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.webjars</groupId>
                        <artifactId>jquery</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>jquery-validation</artifactId>
                <version>${jquery-validation.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>momentjs</artifactId>
                <version>${momentjs.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>select2</artifactId>
                <version>${select2.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>select2-bootstrap-theme</artifactId>
                <version>${select2-bootstrap-theme.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars</groupId>
                <artifactId>respond</artifactId>
                <version>${respond.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars</groupId>
                <artifactId>html5shiv</artifactId>
                <version>${html5shiv.version}</version>
            </dependency>
            <dependency>
                <groupId>org.webjars.bower</groupId>
                <artifactId>ie10-viewport-bug-workaround</artifactId>
                <version>${bootstrap.ie10-viewport-bug-workaround.version}</version>
            </dependency>
        </dependencies>
  </dependencyManagement>

  <dependencies>
    <!-- Spring Boot starters -->
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-test</artifactId>
      <scope>test</scope>
    </dependency>

    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-devtools</artifactId>
      <optional>true</optional>
    </dependency>

    <!-- Spring Roo annotations -->
<!--     <dependency> -->
<!--         <groupId>org.springframework.roo</groupId> -->
<!--         <artifactId>org.springframework.roo.annotations</artifactId> -->
<!--         <type>pom</type> -->
<!--     </dependency> -->
    
<!--     gucm -->
	 <!-- https://mvnrepository.com/artifact/org.springframework.roo/org.springframework.roo.addon.javabean.annotations -->
        <dependency>
            <groupId>org.springframework.roo</groupId>
            <artifactId>org.springframework.roo.addon.javabean.annotations</artifactId>
            <version>2.0.0.RELEASE</version>
        </dependency>
        
         <!-- https://mvnrepository.com/artifact/org.springframework.roo/org.springframework.roo.addon.jpa.annotations -->
        <dependency>
            <groupId>org.springframework.roo</groupId>
            <artifactId>org.springframework.roo.addon.jpa.annotations</artifactId>
            <version>2.0.0.RELEASE</version>
        </dependency>
        
        <!-- https://mvnrepository.com/artifact/org.springframework.roo/org.springframework.roo.addon.web.mvc.controller.annotations -->
        <dependency>
            <groupId>org.springframework.roo</groupId>
            <artifactId>org.springframework.roo.addon.web.mvc.controller.annotations</artifactId>
            <version>2.0.0.RELEASE</version>
        </dependency>
        
        <dependency>
            <groupId>org.springframework.roo</groupId>
            <artifactId>org.springframework.roo.addon.layers.repository.jpa.annotations</artifactId>
            <version>2.0.0.RELEASE</version>
        </dependency>
        
        <!-- https://mvnrepository.com/artifact/org.springframework.roo/org.springframework.roo.addon.web.mvc.thymeleaf.annotations -->
        <dependency>
            <groupId>org.springframework.roo</groupId>
            <artifactId>org.springframework.roo.addon.web.mvc.thymeleaf.annotations</artifactId>
            <version>2.0.0.RELEASE</version>
        </dependency>

		 <!-- https://mvnrepository.com/artifact/org.springframework.roo/org.springframework.roo.addon.layers.service.annotations -->
        <dependency>
            <groupId>org.springframework.roo</groupId>
            <artifactId>org.springframework.roo.addon.layers.service.annotations</artifactId>
            <version>2.0.0.RELEASE</version>
        </dependency>
    <!-- AspectJ dependencies -->
    <dependency>
      <groupId>org.aspectj</groupId>
      <artifactId>aspectjrt</artifactId>
    </dependency>

    <!-- Common Dependencies -->
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-lang3</artifactId>
    </dependency>

    <!-- Test utils dependencies -->
    <dependency>
      <groupId>org.assertj</groupId>
      <artifactId>assertj-core</artifactId>
    </dependency>

    <!-- Dependencies added by Spring Roo -->

  <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <scope>provided</scope>
        </dependency>
    <dependency>
            <groupId>io.springlets</groupId>
            <artifactId>springlets-data-jpa</artifactId>
        </dependency>
    <dependency>
            <groupId>io.springlets</groupId>
            <artifactId>springlets-data-commons</artifactId>
        </dependency>
    <dependency>
            <groupId>io.springlets</groupId>
            <artifactId>springlets-context</artifactId>
        </dependency>
    <dependency>
            <groupId>javax.validation</groupId>
            <artifactId>validation-api</artifactId>
        </dependency>
    <dependency>
            <groupId>com.querydsl</groupId>
            <artifactId>querydsl-jpa</artifactId>
        </dependency>
    <dependency>
            <groupId>org.springframework.roo</groupId>
            <artifactId>org.springframework.roo.querydsl.processor</artifactId>
        </dependency>
    <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
    <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
        </dependency>
    <dependency>
            <groupId>io.tracee.binding</groupId>
            <artifactId>tracee-springmvc</artifactId>
        </dependency>
    <dependency>
            <groupId>io.springlets</groupId>
            <artifactId>springlets-boot-starter-web</artifactId>
        </dependency>
    <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-thymeleaf</artifactId>
        </dependency>
    <dependency>
            <groupId>nz.net.ultraq.thymeleaf</groupId>
            <artifactId>thymeleaf-layout-dialect</artifactId>
        </dependency>
    <dependency>
            <groupId>com.github.mxab.thymeleaf.extras</groupId>
            <artifactId>thymeleaf-extras-data-attribute</artifactId>
        </dependency>
    <dependency>
            <groupId>ar.com.fdvs</groupId>
            <artifactId>DynamicJasper</artifactId>
        </dependency>
    <dependency>
            <groupId>ar.com.fdvs</groupId>
            <artifactId>DynamicJasper-core-fonts</artifactId>
        </dependency>
    <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
        </dependency>
    <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context-support</artifactId>
        </dependency>
    <dependency>
            <groupId>org.webjars</groupId>
            <artifactId>webjars-locator</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>bootstrap</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables.net-bs</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables.net-buttons</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables.net-buttons-bs</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables.net-responsive</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables.net-responsive-bs</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables.net-select</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datatables.net-select-bs</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.npm</groupId>
            <artifactId>jquery-datatables-checkboxes</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>github-com-julmot-datatables-mark-js</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>datetimepicker</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>font-awesome</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>jquery</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars</groupId>
            <artifactId>jquery.inputmask</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>jquery-validation</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>momentjs</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>select2</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>select2-bootstrap-theme</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars</groupId>
            <artifactId>respond</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars</groupId>
            <artifactId>html5shiv</artifactId>
        </dependency>
        <dependency>
            <groupId>org.webjars.bower</groupId>
            <artifactId>ie10-viewport-bug-workaround</artifactId>
        </dependency>
    </dependencies>

  <build>

    <pluginManagement>
      <plugins>
	      <plugin>
	        <groupId>org.springframework.boot</groupId>
	        <artifactId>spring-boot-maven-plugin</artifactId>
	        <configuration>
	          <mainClass>${start-class}</mainClass>
	          <classifier>exec</classifier>
	          <excludeDevtools>true</excludeDevtools>
	        </configuration>
	      </plugin>
	      <!-- Compiler plugin -->
          <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-compiler-plugin</artifactId>
            <configuration>
              <source>${java.version}</source>
              <target>${java.version}</target>
              <encoding>${project.build.sourceEncoding}</encoding>
              <useIncrementalCompilation>false</useIncrementalCompilation>
              <proc>none</proc>
            </configuration>
          </plugin>

	      <!-- AspectJ plugins -->
<!-- 	      <plugin> -->
<!-- 	        <groupId>org.codehaus.mojo</groupId> -->
<!-- 	        <artifactId>aspectj-maven-plugin</artifactId> -->
<!-- 	        <version>${aspectj.plugin.version}</version> -->
<!-- 	        <configuration> -->
<!-- 	          <source>${java.version}</source> -->
<!-- 	          <target>${java.version}</target> -->
<!-- 	          <Xlint>ignore</Xlint> -->
<!-- 	          <complianceLevel>${java.version}</complianceLevel> -->
<!-- 	          <encoding>UTF-8</encoding> -->
<!-- 	        </configuration> -->
<!-- 	        <executions> -->
<!-- 	          <execution> -->
<!-- 	            <phase>process-sources</phase> -->
<!-- 	            <goals> -->
<!-- 	              <goal>compile</goal> -->
<!-- 	              <goal>test-compile</goal> -->
<!-- 	            </goals> -->
<!-- 	          </execution> -->
<!-- 	        </executions> -->
<!-- 	        <dependencies> -->
<!-- 	          <dependency> -->
<!-- 	            <groupId>org.aspectj</groupId> -->
<!-- 	            <artifactId>aspectjtools</artifactId> -->
<!-- 	            <version>${aspectj.version}</version> -->
<!-- 	          </dependency> -->
<!-- 	        </dependencies> -->
<!-- 	      </plugin> -->
	      <!-- Surefire plugin configuration -->
	      <plugin>
	        <groupId>org.apache.maven.plugins</groupId>
	        <artifactId>maven-surefire-plugin</artifactId>
	        <configuration>
	          <excludes>
	            <exclude>**/*_Roo_*</exclude>
	          </excludes>
	        </configuration>
	      </plugin>
        <!-- Asciidoclet plugin -->
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-javadoc-plugin</artifactId>
          <configuration>
            <additionalparam>
              --base-dir ${project.basedir}
              --attribute
              "projectName=${project.name}"
              --attribute
              "projectVersion=${project.version}"
              --attribute "doctype=book"
            </additionalparam>
            <dependencySourceIncludes>
              <dependencySourceInclude>${project.groupId}:*</dependencySourceInclude>
            </dependencySourceIncludes>
            <doclet>org.asciidoctor.Asciidoclet</doclet>
            <docletArtifact>
              <groupId>org.asciidoctor</groupId>
              <artifactId>asciidoclet</artifactId>
              <version>${asciidoclet.version}</version>
            </docletArtifact>
            <includeDependencySources>true</includeDependencySources>
            <linksource>true</linksource>
            <links>
              <link>http://docs.oracle.com/javase/${java.version}/docs/api/</link>
              <link>http://docs.oracle.com/javaee/${java.product.version}/api/</link>
              <link>http://docs.spring.io/spring-framework/docs/${spring.version}/javadoc-api/</link>
              <link>http://docs.spring.io/spring-boot/docs/${spring-boot.version}/api/</link>
              <link>http://fasterxml.github.io/jackson-core/javadoc/2.8/</link>
              <link>http://fasterxml.github.io/jackson-databind/javadoc/2.8</link>
              <link>http://cxf.apache.org/javadoc/latest-3.1.x/</link>
            </links>
            <overview>src/main/java/overview.adoc</overview>
            <show>private</show>
            <source>${java.version}</source>
          </configuration>
        </plugin>
      <plugin>
                    <groupId>com.mysema.maven</groupId>
                    <artifactId>apt-maven-plugin</artifactId>
                    <version>1.1.3</version>
                    <executions>
                        <execution>
<!--                             <goals> -->
<!--                                 <goal>process</goal> -->
<!--                             </goals> -->
                            <configuration>
              <outputDirectory>target/generated-sources/java</outputDirectory>
              <processors>
                <processor>org.springframework.roo.querydsl.processor.RooAnnotationProcessor
                </processor>
              </processors>
            </configuration>
                        </execution>
                    </executions>
                    <dependencies>
                        <dependency>
                            <groupId>com.querydsl</groupId>
                            <artifactId>querydsl-apt</artifactId>
                            <version>${querydsl.version}</version>
                        </dependency>
                    </dependencies>
                </plugin>
            </plugins>
    </pluginManagement>

    <plugins>
       <plugin>
         <groupId>org.springframework.boot</groupId>
         <artifactId>spring-boot-maven-plugin</artifactId>
       </plugin>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-compiler-plugin</artifactId>
       </plugin>
       <plugin>
         <groupId>org.codehaus.mojo</groupId>
         <artifactId>aspectj-maven-plugin</artifactId>
       </plugin>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-surefire-plugin</artifactId>
       </plugin>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-javadoc-plugin</artifactId>
    </plugin>
    <plugin>
                <groupId>com.mysema.maven</groupId>
                <artifactId>apt-maven-plugin</artifactId>
            </plugin>
        </plugins>
  </build>

</project>
